'use strict';

import Common from '../src/common.js';

/**
 * Show all possible parameters for manifest URLs
 */
export default async function exposeParams() {
    console.log(process.env.IMAGES_DIR);
    let techs = [];

    for (let key in Common.TECH_NAMES) {
        techs.push({
            'acronym': key.toUpperCase(),
            'fullname': Common.TECH_NAMES[key]
        });
    }
    
    let papyri = await Common.getParamsFromFolders();

    return {
        'techniques' : techs,
        papyri
    };
}
